Skip to main content
GET
/
v1
/
uploads
/
{uploadId}
Get upload status
curl --request GET \
  --url https://api.example.com/v1/uploads/{uploadId} \
  --header 'Authorization: Bearer <token>'
{
  "uploadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "pending",
  "fileName": "<string>",
  "fileSize": 123,
  "createdAt": "2023-11-07T05:31:56Z",
  "correlationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Clerk session JWT or Unkey API key passed as Bearer token

Headers

x-external-user-id
string

Optional. Identifies the end-user when authenticating with an API key. Ignored when authenticating with a Clerk JWT (the user ID is extracted from the token).

Example:

"user_abc123"

x-external-user-email
string<email>

Optional. Email of the external user, used for audit logging. Only applicable when authenticating with an API key.

Example:

"user@example.com"

Path Parameters

uploadId
string<uuid>
required

Upload ID

Response

Upload status

uploadId
string<uuid>
required
status
enum<string>
required
Available options:
pending,
uploading,
completed,
failed
fileName
string
required
fileSize
integer | null
required
createdAt
string<date-time>
required
correlationId
string<uuid>
required

Correlation ID for request tracing. Include in support requests.